Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/project/project.module.ts	(revision 49174)
@@ -7,22 +7,23 @@
 import { ProjectServiceModule} from './projectService.module';
 // import {HtmlProgressReportService} from './htmlProgressReport.service';
 import{LoadingModalModule} from '../../utils/modal/loadingModal.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
 
 import { ProjectComponent } from './project.component';
 import { ProjectRoutingModule } from './project-routing.module';
 import {IFrameModule} from '../../utils/iframe.module';
-import {MetricsModule} from '../metrics.module';
+import {MetricsModule} from '../landing-utils/metrics.module';
 import {ReportsServiceModule} from '../../services/reportsService.module';
 import {PublicationsServiceModule} from '../../services/publicationsService.module';
 import {DatasetsServiceModule} from '../../services/datasetsService.module';
 import {TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
-import { LandingModule } from '../landing.module';
+import { LandingModule } from '../landing-utils/landing.module';
 import {FreeGuard} from'../../login/freeGuard.guard';
 
 @NgModule({
   imports: [
     CommonModule, FormsModule, RouterModule, LandingModule,
-    ProjectRoutingModule, LoadingModalModule,
+    ProjectRoutingModule, LoadingModalModule, ErrorMessagesModule,
     TabResultModule, IFrameModule, MetricsModule, ReportsServiceModule,
     PublicationsServiceModule, DatasetsServiceModule, ProjectServiceModule
   ],
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/metrics.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/metrics.module.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/metrics.module.ts	(revision 49174)
@@ -0,0 +1,26 @@
+/* This module contains all common components for all landing pages */
+
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+
+ import {MetricsComponent} from './metrics.component';
+ import { MetricsService } from '../../services/metrics.service';
+
+ import {ErrorMessagesModule} from '../../utils/errorMessages.module';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule, ErrorMessagesModule
+  ],
+  declarations: [
+    MetricsComponent
+  ],
+  providers:[
+    MetricsService
+   ],
+  exports: [
+    MetricsComponent
+  ]
+})
+export class MetricsModule { }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/resultLanding.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/resultLanding.module.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/resultLanding.module.ts	(revision 49174)
@@ -0,0 +1,26 @@
+/* This module contains all common components for Publication & Daasets Landing Pages */
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+import { RouterModule } from '@angular/router';
+import {PagingModule} from '../../utils/paging.module';
+
+import {ShowAuthorsComponent} from './showAuthors.component';
+import {ShowIdentifiersComponent} from './showIdentifiers.component';
+import {ShowSubjectsComponent} from './showSubjects.component';
+import {TabTableComponent} from './tabTable.component';
+
+@NgModule({
+  imports: [
+    CommonModule, FormsModule, RouterModule, PagingModule
+  ],
+  declarations: [
+   ShowAuthorsComponent,ShowIdentifiersComponent,ShowSubjectsComponent, TabTableComponent
+  ],
+  providers:[
+   ],
+  exports: [
+     ShowAuthorsComponent,ShowIdentifiersComponent,ShowSubjectsComponent, TabTableComponent
+    ]
+})
+export class ResultLandingModule { }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.module.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/searchingProjectsInTab.module.ts	(revision 49174)
@@ -0,0 +1,31 @@
+/* This module contains all common components for all landing pages */
+
+import { NgModule}            from '@angular/core';
+import { CommonModule }        from '@angular/common';
+import { FormsModule }         from '@angular/forms';
+import { RouterModule }       from '@angular/router';
+
+import { ProjectsServiceModule} from '../../services/projectsService.module';
+import { TabResultModule } from '../../searchPages/searchUtils/tabResult.module';
+import { SearchingProjectsTabComponent} from './searchingProjectsInTab.component';
+
+import {PagingModule } from '../../utils/paging.module';
+import {ErrorMessagesModule} from '../../utils/errorMessages.module';
+
+@NgModule({
+  imports: [
+      RouterModule, CommonModule, FormsModule,
+      ProjectsServiceModule, TabResultModule,
+      PagingModule, ErrorMessagesModule
+   ],
+  declarations: [
+     SearchingProjectsTabComponent
+  ],
+  providers:[
+   ],
+  exports: [
+
+    SearchingProjectsTabComponent
+    ]
+})
+export class SearchingProjectsTabModule { }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/addThis.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/addThis.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/addThis.component.ts	(revision 49174)
@@ -0,0 +1,40 @@
+import {Component, ElementRef, Input} from '@angular/core';
+import {ActivatedRoute} from '@angular/router';
+
+ interface addthis {
+     layers: refresh;
+ }
+ interface refresh {
+     refresh: Function;
+ }
+ declare var addthis: addthis;
+
+//<addThis ></addThis>
+@Component({
+  selector: 'addThis',
+  template: `
+  <div class="addthis_inline_share_toolbox"></div>
+  `
+})
+export class AddThisComponent {
+  private sub:any;
+
+
+  constructor(private route: ActivatedRoute) {
+
+  }
+  ngOnInit() {
+    this.sub =  this.route.queryParams.subscribe(data => {
+
+      if (typeof document !== 'undefined') {
+        try{
+          addthis.layers.refresh();
+        }catch (e) {
+        }
+      }
+  });
+
+  }
+
+
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showTitle.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showTitle.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 49174)
@@ -0,0 +1,66 @@
+import {Component, Input} from '@angular/core';
+import {ActivatedRoute} from '@angular/router';
+
+@Component({
+    selector: 'showTitle',
+    template: `
+        <h2 *ngIf="title != undefined">
+            <!--span [class]="'entityTitleIcon '+iconClass"></span-->
+            <span   *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
+                    class="custom-external">
+                    <!--span class=" custom-icon {{title['accessMode']}}"
+                    uk-tooltip="pos:bottom-right"
+                    [title]="title['accessMode']"-->
+                <a *ngIf="title['name'] != undefined && title['name'] != ''"
+                    href="{{title['url']}}" target="_blank"
+                    [innerHTML]="title['name']">
+                </a>
+                <a *ngIf="title['name'] == undefined || title['name'] == ''"
+                    href="{{title['url']}}" target="_blank">
+                    [no title available]
+                </a>
+            <!--/span-->
+            </span>
+            <span *ngIf="(title['name'] != undefined && title['name'] != '') &&
+                    (title['url'] == undefined || title['url'] == null || title['url'] == '')"
+                    [innerHTML]="title['name']">
+            </span>
+            <span *ngIf="(title['name'] == undefined || title['name'] == '') &&
+                    (title['url'] == undefined || title['url'] == null || title['url'] == '')"
+                     >
+                [no title available]
+            </span>
+        </h2>
+        <!--[class]="title['accessMode']"
+        uk-tooltip="pos:bottom-right"
+        [title]="title['accessMode']"
+        [innerHTML]="title['name']" -->
+    `
+
+    })
+
+export class ShowTitleComponent {
+  @Input() title: { [key: string]: string };
+  @Input() iconClass:string;
+
+  sub: any;
+
+  constructor (private route: ActivatedRoute) {}
+
+  ngOnInit() {
+    this.sub = this.route.queryParams.subscribe(
+      params => {
+        console.info("onInit showTitle");
+
+        if(this.title['accessMode'] == undefined) {
+          this.title['accessMode'] = "";
+        }
+      }
+    );
+  }
+
+  ngOnDestroy() {
+    console.info("onDestroy showTitle");
+    this.sub.unsubscribe();
+  }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showAuthors.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showAuthors.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showAuthors.component.ts	(revision 49174)
@@ -0,0 +1,65 @@
+import {Component, Input, ElementRef} from '@angular/core';
+import {RouterHelper} from '../../utils/routerHelper.class';
+
+@Component({
+    selector: 'showAuthors',
+    template: `
+        <span *ngIf="authors != undefined">
+            <div *ngIf="showAll">
+                <a class="uk-text-muted" (click)="showAll = !showAll;">View less authors</a>
+            </div>
+            <span *ngFor="let item of authors.slice(0,30) let i=index">
+                  <!--a href="{{item['url']}}"-->
+                  <a [queryParams]="routerHelper.createQueryParams(['author','au'],[quote(item['name']),'and'])" routerLinkActive="router-link-active" [routerLink]="'/search/advanced/'+searchPage">
+                      {{item['name']}}
+                  </a>
+               <span *ngIf=" i<29 && i<(authors.length-1)">;</span>
+            </span>
+            <span *ngIf="!showAll && authors.length > 30">	... </span>
+            <span *ngIf="showAll">
+                <span *ngFor="let item of authors.slice(30) let i=index">
+                    <!--a href="{{item['url']}}"-->
+                    <a [queryParams]="routerHelper.createQueryParams(['author','au'],[quote(item['name']),'and'])" routerLinkActive="router-link-active" [routerLink]="'/search/advanced/'+searchPage">
+                        {{item['name']}}
+                    </a>
+                    <span *ngIf="  i<(authors.length-1)">;</span>
+                </span>
+            </span>
+            <span *ngIf="!showAll && authors.length > 30">
+                <a class="uk-text-muted" (click)="showAll = !showAll;">
+                    view all {{authors.length}} authors
+                </a>
+            </span>
+            <span *ngIf="showAll">
+                <a class="uk-text-muted" (click)="showAll = !showAll; scroll()">View less authors</a>
+            </span>
+        </span>
+
+    `
+
+    })
+
+export class ShowAuthorsComponent {
+    @Input() authors: { [key: string]: string }[];
+    @Input() searchPage:string ="publications"
+
+    public showAll: boolean = false;
+    public routerHelper:RouterHelper = new RouterHelper();
+
+    constructor (private element: ElementRef) {
+    }
+
+    ngOnInit() {
+    }
+
+    public  quote(params: string):string {
+        return '"'+params+'"';
+    }
+
+    public scroll() {
+      console.info("scroll into view");
+      if (typeof document !== 'undefined') {
+         this.element.nativeElement.scrollIntoView();
+      }
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showIdentifiers.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/landing-utils/showIdentifiers.component.ts	(revision 49174)
@@ -0,0 +1,91 @@
+import {Component, Input, ElementRef} from '@angular/core';
+import {OpenaireProperties} from '../../utils/properties/openaireProperties';
+
+@Component({
+    selector: 'showIdentifiers',
+    template: `
+
+                <span *ngIf="showAll && countIdentifiers() > pageSize">
+                    <a class="uk-text-muted" (click)="showAll = !showAll;">View less identifiers</a>
+                </span>
+
+                <ng-container *ngFor="let key of identifiers.keys() let i=index">
+                  <ng-container *ngIf="countSizeOfPreviousIdentifiers(i) < pageSize">
+                    <ng-container *ngFor="let item of identifiers.get(key) let j=index">
+                      <span *ngIf="(sizeOfPreviousIdentifiers + j) < pageSize || showAll" class="custom-external custom-icon">
+                        <a *ngIf="key=='doi'" href="{{doiURL}}{{item}}" target="_blank">{{key}}: {{item}}</a><a
+                        *ngIf="key=='pmc'" href="{{pmcURL}}{{item}}" target="_blank">{{key}}: {{item}}</a><a
+                        *ngIf="key=='handle'" href="{{handleURL}}{{item}}" target="_blank">{{key}}: {{item}}</a></span><span
+
+                        *ngIf="((sizeOfPreviousIdentifiers + j) < pageSize || showAll) && ((sizeOfPreviousIdentifiers + j) < countIdentifiers()-1)">{{", "}}</span>
+                      <span *ngIf="!showAll && (sizeOfPreviousIdentifiers + j)==pageSize"> ... </span>
+                    </ng-container>
+                  </ng-container>
+                </ng-container>
+
+                <span *ngIf="!showAll && countIdentifiers() > pageSize">
+                    <a class="uk-text-muted" (click)="showAll = !showAll;">
+                        view all {{countIdentifiers()}} identifiers
+                    </a>
+                </span>
+                <span *ngIf="showAll && countIdentifiers() > pageSize">
+                    <a class="uk-text-muted" (click)="showAll = !showAll; scroll()">View less identifiers</a>
+                </span>
+
+
+    `
+    })
+
+export class ShowIdentifiersComponent {
+    @Input() identifiers: Map<string, string[]>;
+    public doiURL: string;
+    public pmcURL: string;
+    public handleURL: string;
+    public showAll: boolean = false;
+    public sizeOfIdentifiers: number = -1;
+    public sizeOfPreviousIdentifiers: number = -1;
+    public pageSize: number = 10;
+
+    constructor (private element: ElementRef) {
+        this.doiURL = OpenaireProperties.getDoiURL();
+        this.pmcURL = OpenaireProperties.getPmcURL();
+        this.handleURL = OpenaireProperties.getHandleURL();
+    }
+
+    ngOnInit() {}
+
+    public countIdentifiers(): number {
+      if(this.sizeOfIdentifiers < 0) {
+        let num: number = 0;
+        if(this.identifiers != undefined) {
+            this.identifiers.forEach(function (value, key, map) {
+                num += value.length;
+            });
+        }
+        this.sizeOfIdentifiers = num;
+      }
+      return this.sizeOfIdentifiers;
+    }
+
+    public countSizeOfPreviousIdentifiers(index: number): number {
+      let num: number = 0;
+      let i: number = 0;
+      if(this.identifiers != undefined) {
+        this.identifiers.forEach(function (value, key, map) {
+          if(i < index) {
+            num += value.length;
+          }
+          i++;
+        });
+      }
+      this.sizeOfPreviousIdentifiers= num;
+      return num;
+    }
+
+    public scroll() {
+      console.info("scroll into view");
+      if (typeof document !== 'undefined') {
+         this.element.nativeElement.scrollIntoView();
+      }
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/errorMessages.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/errorMessages.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/errorMessages.component.ts	(revision 49174)
@@ -0,0 +1,51 @@
+import {Component, Input} from '@angular/core';
+import {ErrorCodes} from './properties/openaireProperties';
+
+@Component({
+    selector: 'errorMessages',
+    template: `
+      <div *ngIf="status.some(checkErroCode(errorCodes.LOADING))" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+      <div *ngIf="status.every(checkErroCode(errorCodes.NONE))"   class="uk-animation-fade uk-alert uk-alert-primary" role="alert">No {{type}} available</div>
+      <div *ngIf="status.every(checkErroCode(errorCodes.ERROR)) ||
+                  (status.some(checkErroCode(errorCodes.ERROR)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+            class="uk-animation-fade uk-alert uk-alert-warning" role="alert">
+        An Error Occured
+      </div>
+      <div *ngIf="status.every(checkErroCode(errorCodes.NOT_AVAILABLE)) ||
+                  (status.some(checkErroCode(errorCodes.NOT_AVAILABLE)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+            class="uk-animation-fade uk-alert uk-alert-warning" role="alert">
+        Service temprorarily unavailable. Please try again later.
+      </div>
+      <div *ngIf="status.every(checkErroCode(errorCodes.NOT_FOUND)) ||
+                  (status.some(checkErroCode(errorCodes.NOT_FOUND)) && (!status.every(checkErroCode(errorCodes.DONE)) || !status.every(checkErroCode(errorCodes.LOADING))))"
+            class="uk-animation-fade uk-alert uk-alert-warning" role="alert">
+        No {{type}} found
+      </div>
+      <div *ngIf="status.every(checkErroCode(errorCodes.OUT_OF_BOUND))" class="uk-animation-fade uk-alert uk-alert-warning" role="alert">Requested page out of bounds</div>
+    `
+  })
+
+  export class ErrorMessagesComponent {
+      @Input() status: Array<number>;
+      @Input() type: string;
+
+      public errorCodes:ErrorCodes;
+
+      constructor () {}
+
+      ngOnInit() {
+          this.errorCodes = new ErrorCodes();
+          console.info("ngOnInit");
+          if(!this.status) {
+            this.status = [this.errorCodes.LOADING];
+          }
+      }
+
+      ngOnDestroy() {}
+
+      public checkErroCode(code: number) {
+        return function(status: number) {
+          return (status == code);
+        }
+      }
+  }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 49174)
@@ -7,6 +7,8 @@
 import {Subject} from 'rxjs/Subject';
 
 export class FetchPublications {
+  private errorCodes: ErrorCodes;
+
   public results =[];
 
   public requestComplete: Subject<void>;
@@ -30,8 +32,8 @@
   public csvParams: string;
 
   constructor ( private _searchPublicationsService: SearchPublicationsService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     // this.baseUrl = OpenaireProperties.getLinkToSearchPublications();
 
     this.requestComplete = new Subject<void>();
@@ -64,8 +66,8 @@
     }
 
 
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
     this.subResults = this._searchPublicationsService.searchPublications(parameters,null, page, size, []).subscribe(
         data => {
@@ -73,10 +75,10 @@
             console.info("search Publications: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
          },
         err => {
@@ -85,16 +87,22 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
-
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
 
 public getResultsForEntity(entity:string, id:string, page: number, size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   var parameters = "";
   if(entity == "project") {
@@ -111,10 +119,10 @@
               console.info("search Publications for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -123,8 +131,16 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -131,8 +147,8 @@
 }
 
 public getResultsForDataproviders(id:string, resultsFrom:string, page: number, size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   var parameters;
   if(resultsFrom == "collectedFrom") {
@@ -149,10 +165,10 @@
               console.info("search Publications for Dataproviders: [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -161,8 +177,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -169,8 +192,8 @@
 }
 
 public getAggregatorResults(id:string, page: number, size: number){
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
   this.subResults = this._searchPublicationsService.searchAggregators(id, '&fq=collectedfromdatasourceid exact "'+id+'"',"&refine=true&fields=resulthostingdatasource" , page, size).subscribe(
       data => {
@@ -177,23 +200,31 @@
           this.results = data;
           this.searchUtils.totalResults = this.results.length;
 
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.DONE;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          this.searchUtils.status = this.errorCodes.DONE;
           if(this.searchUtils.totalResults == 0 ){
-            this.searchUtils.status = errorCodes.NONE;
+            this.searchUtils.status = this.errorCodes.NONE;
           }
 
           this.requestComplete.complete();
       },
       err => {
-          this.requestComplete.complete();
           console.log(err);
            //TODO check erros (service not available, bad request)
           // if( ){
           //   this.searchUtils.status = ErrorCodes.ERROR;
           // }
-          var errorCodes:ErrorCodes = new ErrorCodes();
-          this.searchUtils.status = errorCodes.ERROR;
+          //var errorCodes:ErrorCodes = new ErrorCodes();
+          //this.searchUtils.status = errorCodes.ERROR;
+          if(err.status == '404') {
+            this.searchUtils.status = this.errorCodes.NOT_FOUND;
+          } else if(err.status == '500') {
+            this.searchUtils.status = this.errorCodes.ERROR;
+          } else {
+            this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+          }
+
+          this.requestComplete.complete();
       }
   );
 }
